// SysInfoControl.cpp : Implementation of CSysInfoControl
#include "stdafx.h"
#include "SysInfoControl.h"


// CSysInfoControl


STDMETHODIMP CSysInfoControl::GetOSInfo(BSTR* strOs)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	OSVERSIONINFO osvi;

	osvi.dwOSVersionInfoSize = sizeof(OSVERSIONINFO);

	BOOL bval = GetVersionEx(&osvi);

	if (osvi.dwPlatformId == VER_PLATFORM_WIN32_NT)
	{
		CString strOS = _T("WINNT");
		*strOs = strOS.AllocSysString();
	}
	else if (osvi.dwPlatformId = VER_PLATFORM_WIN32_WINDOWS)
	{
		CString strOS = _T("Win98");
		*strOs = strOS.AllocSysString();
	}


	return S_OK;
}
